Bug 107646 - [MAINTAINER UPDATE]: net/libnetdude and net/netdude
Summary: [MAINTAINER UPDATE]: net/libnetdude and net/netdude
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-07 02:10 UTC by Wesley Shields
Modified: 2007-01-07 21:50 UTC (History)
0 users

See Also:


Attachments
libnetdude.diff (7.66 KB, patch)
2007-01-07 02:10 UTC, Wesley Shields
no flags Details | Diff
file.diff (6.95 KB, patch)
2007-01-07 02:10 UTC, Wesley Shields
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wesley Shields 2007-01-07 02:10:08 UTC
net/netdude and net/libnetdude both have newer versions out.  The
attached patches update both of these ports.

How-To-Repeat: N/A
Comment 1 Ion-Mihai "IOnut" Tetcu freebsd_committer 2007-01-07 06:28:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2007-01-07 07:03:15 UTC
On amd64 it doesn't link:

/bin/sh ../libtool --tag=CC --mode=link cc  -O2 -fno-strict-aliasing -pipe    -o netdude  nd_debug.o nd_clipboard.o nd_dialog.o nd_fam.o nd_filter_gui.o nd_globals.o nd_gui.o nd_info_dialog.o nd_main.o nd_packet.o nd_plugin.o nd_prefs.o nd_protocol.o nd_protocol_inst.o nd_protocol_plugin.o nd_raw_protocol.o nd_recent.o nd_tp.o nd_tpm_gui.o nd_trace.o nd_trace_area_gui.o nd_trace_registry.o callbacks.o interface.o support.o gtkhex.o -L/usr/local/lib -L/usr/X11R6/lib -lgtk-12 -lgdk-12 -Wl,-E -lgmodule-12 -lglib-12 -lintl -lXi -lXext -lX11 -lm -L/usr/local/lib -L/usr/local/lib -lglib-12 -L/usr/local/lib -lpcapnav -lpcap -lnetdude -L/usr/local/lib -lltdl
mkdir .libs
cc -O2 -fno-strict-aliasing -pipe -o netdude nd_debug.o nd_clipboard.o nd_dialog.o nd_fam.o nd_filter_gui.o nd_globals.o nd_gui.o nd_info_dialog.o nd_main.o nd_packet.o nd_plugin.o nd_prefs.o nd_protocol.o nd_protocol_inst.o nd_protocol_plugin.o nd_raw_protocol.o nd_recent.o nd_tp.o nd_tpm_gui.o nd_trace.o nd_trace_area_gui.o nd_trace_registry.o callbacks.o interface.o support.o gtkhex.o -Wl,-E  -L/usr/local/lib -L/usr/X11R6/lib -lgtk-12 -lgdk-12 -lgmodule-12 /usr/local/lib/libintl.so /usr/local/lib/libiconv.so -lXi -lXext -lX11 -lm /usr/local/lib/libnetdude.so -lglib-12 /usr/local/lib/libpcapnav.so -lpcap /usr/local/lib/libltdl.so -Wl,--rpath -Wl,/usr/local/lib -Wl,--rpath -Wl,/usr/local/lib
nd_gui.o(.text+0x21e7): In function `gui_list_update_packet':
: undefined reference to `libnd_magic_buffer'
nd_gui.o(.text+0x21ff): In function `gui_list_update_packet':
: undefined reference to `libnd_magic_buffer'
nd_gui.o(.text+0x22ab): In function `gui_list_update_packet':
: undefined reference to `libnd_magic_buffer'
gmake[2]: *** [netdude] Error 1
gmake[2]: Leaving directory `/work/a/ports/net/netdude/work/netdude-0.4.7/src'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/work/a/ports/net/netdude/work/netdude-0.4.7'
gmake: *** [all] Error 2
*** Error code 2


-- 
IOnut - Un^d^dregistered ;) FreeBSD "user"
  "Intellectual Property" is   nowhere near as valuable   as "Intellect"

You're too beautiful to ignore.  Too much woman.
		-- Kirk to Yeoman Rand, "The Enemy Within", stardate

Comment 3 Ion-Mihai "IOnut" Tetcu freebsd_committer 2007-01-07 07:03:25 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 4 Wesley Shields 2007-01-07 14:24:56 UTC
On Sun, Jan 07, 2007 at 09:03:15AM +0200, Ion-Mihai IOnut Tetcu wrote:
> On amd64 it doesn't link:

[...]

On my AMD64 box it does link.  Are you linking against libnetdude-0.9
(also included in the PR)?

-- WXS
Comment 5 Ion-Mihai "IOnut" Tetcu freebsd_committer 2007-01-07 21:18:05 UTC
On Sun, 7 Jan 2007 09:24:56 -0500
Wesley Shields <wxs@atarininja.org> wrote:

> On Sun, Jan 07, 2007 at 09:03:15AM +0200, Ion-Mihai IOnut Tetcu wrote:
> > On amd64 it doesn't link:
> 
> [...]
> 
> On my AMD64 box it does link.  Are you linking against libnetdude-0.9
> (also included in the PR)?


I should but I will run again to be sure.

-- 
IOnut - Un^d^dregistered ;) FreeBSD "user"
  "Intellectual Property" is   nowhere near as valuable   as "Intellect"

Ferengi Rule of Acquisition #111:
	 Treat people in your debt like family... exploit them.
		-- ST:DS9, "Past Tense, Part I", "The Darkness and
		the Light"

Comment 6 Ion-Mihai "IOnut" Tetcu freebsd_committer 2007-01-07 21:18:23 UTC
State Changed
From-To: feedback->open

feedback received
Comment 7 dfilter service freebsd_committer 2007-01-07 21:42:16 UTC
itetcu      2007-01-07 21:42:09 UTC

  FreeBSD ports repository

  Modified files:
    net/libnetdude       Makefile distinfo pkg-plist 
  Log:
  Update to 0.9
  
  PR:             ports/107646
  Submitted by:   Wesley Shields (maintainer)
  
  Revision  Changes    Path
  1.13      +2 -2      ports/net/libnetdude/Makefile
  1.4       +3 -3      ports/net/libnetdude/distinfo
  1.3       +6 -122    ports/net/libnetdude/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2007-01-07 21:42:59 UTC
itetcu      2007-01-07 21:42:54 UTC

  FreeBSD ports repository

  Modified files:
    net/netdude          Makefile distinfo pkg-plist 
    net/netdude/files    patch-Makefile.in patch-src::Makefile.in 
  Log:
  Update to 0.4.7
  
  PR:             ports/107646
  Submitted by:   Wesley Shields (maintainer)
  
  Revision  Changes    Path
  1.27      +1 -2      ports/net/netdude/Makefile
  1.7       +3 -3      ports/net/netdude/distinfo
  1.3       +5 -5      ports/net/netdude/files/patch-Makefile.in
  1.4       +13 -13    ports/net/netdude/files/patch-src::Makefile.in
  1.5       +2 -54     ports/net/netdude/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Ion-Mihai "IOnut" Tetcu freebsd_committer 2007-01-07 21:43:17 UTC
State Changed
From-To: open->closed

Committed. Thanks!